Author Topic: [DOWNLOAD] Packages of Code::Blocks in your linux distro  (Read 375520 times)

Offline johne53

  • Regular
  • ***
  • Posts: 253
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #120 on: May 02, 2007, 07:00:07 am »
Hi Daniel - Your Suse rpm package that I downloaded (last week) seemed to install fine but in use, C::B crashes a lot. One of the developers (Byo) reckons he's now fixed that problem so I'd like to upgrade. This raises a question that I hadn't thought of before.... do you update the rpm package regularly? Or - if I re-installed from the Suse rpm, would I get exactly the same code that I've already got?

Also, is it necessary to uninstall before an upgrade? I don't fancy the prospect of losing all my settings etc.

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #121 on: May 02, 2007, 08:58:13 am »
yes, I usually update them regularly. yesterdays build failed on my build machine. Don't know why, no real error in my log. On my laptop it built without any problem :?

Will build next nightly ;)
Nightly builds for openSUSE

Offline dokteurping

  • Single posting newcomer
  • *
  • Posts: 6
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #122 on: May 05, 2007, 04:34:02 pm »
hi
Is there any mandriva rpm working?

Offline Morphius Faydal

  • Multiple posting newcomer
  • *
  • Posts: 75
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #123 on: June 10, 2007, 05:40:20 pm »
What's the "official" or even "community-recommended" stance on Code::Blocks on Gentoo?

Check out the SVN and make it yourself?  Or make an ebuild for your personal overlay every couple days?

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #124 on: June 10, 2007, 05:56:20 pm »
There're three ebuilds in portage for Code::Blocks, all of them masked with ~, and the last one is a month old. Personally, I prefer to get it from SVN and compile it, after all it's a very straightforward procedure.

Offline Morphius Faydal

  • Multiple posting newcomer
  • *
  • Posts: 75
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #125 on: June 10, 2007, 06:12:59 pm »
There're three ebuilds in portage for Code::Blocks, all of them masked with ~, and the last one is a month old. Personally, I prefer to get it from SVN and compile it, after all it's a very straightforward procedure.

Yeah, I noticed that.  Just check it out, ./configure, make, make install? Nothing special needed?

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #126 on: June 10, 2007, 08:10:40 pm »
Steps here. Be sure to follow Option 2... you don't really want to compile RC2 :wink:

In very few steps:
Code: [Select]
* svn checkout
* cd into directory
* ./bootstrap
* ./configure # maybe you want to give some options to this one
* make
* su -c 'make install'

And everytime you want to update it:
Code: [Select]
* cd into directory
* su -c 'make uninstall'
* make clean
* make clean-zipfiles
* svn update
* ./bootstrap # I think it's not necessary, but I do it anyway
* ./configure
* make
* su -c 'make install'

Offline Deschamps

  • Multiple posting newcomer
  • *
  • Posts: 120
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #127 on: June 10, 2007, 10:16:43 pm »
Quote from: MorphiusFaydal
Just check it out, ./configure, make, make install? Nothing special needed?

From ./configure --help :

Code: [Select]
--enable-contrib        build the contrib plugins (default NO)
So that...

Regards.
Misquotations are the only quotations that are never misquoted

Offline Vexorian

  • Single posting newcomer
  • *
  • Posts: 5
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #128 on: June 13, 2007, 05:30:25 pm »
I got a new dapper installation, installed the wxbase2.8 package yet the code::blocks package says the dependency is not satisfied.

Offline cstudent

  • Almost regular
  • **
  • Posts: 159
    • Cstudent's Help Desk
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #129 on: June 13, 2007, 05:50:13 pm »
I got a new dapper installation, installed the wxbase2.8 package yet the code::blocks package says the dependency is not satisfied.

The current .debs being offered on the nightly forum will not install on Dapper. The dependencies that are not being met are because of the version numbers of such things as gcc, etc. You will need to build CB from source.


Offline Morphius Faydal

  • Multiple posting newcomer
  • *
  • Posts: 75
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #130 on: June 13, 2007, 07:53:26 pm »
I should probably unmerge Code::Blocks first... Then build the svn, right?

Offline Morphius Faydal

  • Multiple posting newcomer
  • *
  • Posts: 75
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #131 on: June 13, 2007, 09:22:08 pm »
*sigh*

No one knows where I can get wxGTK 2.8 ebuild or overlay, do they? The latest version in portage is 2.6.3

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #132 on: June 14, 2007, 02:31:32 am »
Right, you should unmerge Code::Blocks first.

For wxGTK 2.8 try this. I haven't tried it though.

Offline Morphius Faydal

  • Multiple posting newcomer
  • *
  • Posts: 75
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #133 on: June 14, 2007, 08:21:19 am »
That ebuild works beautifully.

Code: [Select]
[email protected] ~ $ codeblocks
codeblocks: error while loading shared libraries: libcodeblocks.so.0: cannot open shared object file: No such file or directory
[email protected] ~ $

This causes more of a problem though. :-\

ramzai

  • Guest
Re: [DOWNLOAD] Packages of Code::Blocks in your linux distro
« Reply #134 on: June 14, 2007, 10:03:39 am »
I got a new dapper installation, installed the wxbase2.8 package yet the code::blocks package says the dependency is not satisfied.

The current .debs being offered on the nightly forum will not install on Dapper. The dependencies that are not being met are because of the version numbers of such things as gcc, etc. You will need to build CB from source.



Well, wx284 are not in the repos even for Feisty. To work with latest CB requiring wx284 one needs to

Code: [Select]
1. add line
deb http://apt.tt-solutions.com/ubuntu/ dapper main
to /etc/apt/sources.list (replace dapper with edgy or feisty)
2. curl http://www.tt-solutions.com/vz/key.asc | sudo apt-key add -
3. sudo apt-get update && sudo apt-get upgrade

At least that was my case..

PS/Offtopic: Vexorian: aren't you vexorian from TC? :D
« Last Edit: June 14, 2007, 10:06:28 am by ramzai »